<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script>
	add = function() {
		window.location.href = "/book/add";
		
	}
	edit = function(bookId) {
		console.log(bookId);
		window.location.href = "/book/edit/" + bookId;
	}
	_delete = function(bookId) {
		$.ajax({
			url : '/book/delete/' + bookId,
			type : 'DELETE',
			success : function(result) {
				if (result === 'SUCCESS') {
					location.reload();
				}
			}
		});
	}
</script>

<link rel="stylesheet" href="/css/main.css" type="text/css">

</head>
<body>
	<p id="test_p"></p>
	<!--   <p th:text="${books}" style="font-size: 30px;">123</p> -->
	<center>
		<input type="button" onclick="add()" value="新增"
			style="font-size: 30px; margin-top: 30px;" />
	</center>

	<table>
		<thead>
			<tr>
				<th>#</th>
				<th>序號</th>
				<th>書名</th>
				<th>價格</th>
				<th>出版社</th>
			</tr>
		</thead>
		<tbody>
			<!--       JAVA : for(Book b:books) -->
			<tr th:each="book,status:${books}">
				<td><input type="button" value="修改" th:onclick="|edit(${book.id})|" /> 
				    <input type="button" value="刪除" th:onclick="|_delete(${book.id})|" /></td>
				<td th:text="${book?.id}">序號</td>
				<td th:text="${book?.name}">書名</td>
				<td th:text="${book?.price}">價格</td>
				<td th:text="${book?.publishe}">出版社</td>
			</tr>
		</tbody>
	</table>
</body>
</html>